<?php 
//Datenbankverbindung besteht  
include ("config.php");
include ("mysql.inc.php");

/*$fp = fopen("kunden.csv", "r"); 

define("id", 0);
define("firma", 1);
define("name", 2);
define("adresse", 3);
define("letzte_aenderung", 4);
define("angelegt", 5);
define("email", 6);
define("uebergreifende_notizen", 7);


$put = "INSERT INTO kunden VALUES ";

while( !feof($fp) ) {
    $zeile = fgetcsv  ( $fp  , 4096 , ";"  );
    $put .= " (".$zeile[id].", '".$zeile[firma]."'', '".$zeile[name]."', '".$zeile[adresse]."', '".$zeile[letzte_aenderung]."', '".$zeile[angelegt]."', '".$zeile[email]."', '".$zeile[uebergreifende_notizen]."'),";
}
qry($put);

$put = substr($put, 0, -1);
mysql_unbuffered_query($put); 
fclose($fp);*/
?>

<?php

///var/lib/mysql/admin_dstool_db
$query = <<<eof
    LOAD DATA INFILE 'kunden_1206.csv'
     INTO TABLE kunden
     FIELDS TERMINATED BY ';' OPTIONALLY ENCLOSED BY '"'
     LINES TERMINATED BY '\n'
    (id,firma,name,adresse,letzte_aenderung,angelegt,email,uebergreifende_notizen,zugehoerigkeit)
eof;

qry($query);
?>